Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005535 [JEDI VCL] 00 JVCL Components major always 2011-03-30 11:44 2011-09-21 14:10
Reporter sweet33bdx View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005535: [TJVCheckedCombobox] Property "CheckCount" doesn't seem to work fine when using "Invert all" (popupmenu)
Description It seems there a problem when checking property "Checkcount" after using "Invert all"

Let's code this for instance :

procedure TForm3.cbxChange(Sender: TObject);
var i,j : Integer;
begin
  j := 0 ;
  for i := 0 to cbx.Items.Count -1 do
  begin
    if cbx.Checked[i] then
      Inc(j);
  end ;
  Memo1.Lines.Add(IntToStr(j)+' <-> '+IntTOStr(cbx.CheckedCount));
end;

=> this is going to compare 2 solutions to count the number of checked boxes
=> it should always be equal

=> but there is a problem : if all my check boxes are checked and I click on "Invert all", they become unchecked...it's ok.......but "CheckedCount" remains different from 0 ...... and if I count them checking the "Checked" method, it is truly equal to 0

But it's ok if all my check boxes are unchecked and then I click on "Invert all" => they become checked...and all is fine (counting manually, or using checkcount property)

I hope you'll understand what I mean
Additional Information
Tags No tags attached.
Attached Files zip file icon pb TJVCheckedCombobox.zip [^] (484,826 bytes) 2011-03-31 10:53

- Relationships

-  Notes
(0018487)
jfudickar (developer)
2011-03-31 10:41

Could you create a small sample showing the problem?
(0018489)
sweet33bdx (reporter)
2011-03-31 10:53

done ! :o)
(0018678)
obones (administrator)
2011-06-08 15:32

Yes I'm seeing this weird thing as well
(0018679)
obones (administrator)
2011-06-08 15:35

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-03-30 11:44 sweet33bdx New Issue
2011-03-31 10:41 jfudickar Note Added: 0018487
2011-03-31 10:53 sweet33bdx File Added: pb TJVCheckedCombobox.zip
2011-03-31 10:53 sweet33bdx Note Added: 0018489
2011-06-07 17:49 obones Status new => acknowledged
2011-06-08 15:32 obones Note Added: 0018678
2011-06-08 15:32 obones Assigned To => obones
2011-06-08 15:32 obones Status acknowledged => confirmed
2011-06-08 15:35 obones Note Added: 0018679
2011-06-08 15:35 obones Status confirmed => resolved
2011-06-08 15:35 obones Fixed in Version => Daily / SVN
2011-06-08 15:35 obones Resolution open => fixed
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker